GzipUtils
Date: 2017-02-08

org.apache.commons.compress.compressors.gzip

## Class GzipUtils

- java.lang.Object
- - org.apache.commons.compress.compressors.gzip.GzipUtils

-     public class GzipUtils
      extends java.lang.Object

  Utility code for the gzip compression format.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getCompressedFilename(java.lang.String filename)` Maps the given filename to the name that the file should have after compression with gzip.
    `static java.lang.String` | `getUncompressedFilename(java.lang.String filename)` Maps the given name of a gzip-compressed file to the name that the file should have after uncompression.
    `static boolean` | `isCompressedFilename(java.lang.String filename)` Detects common gzip suffixes in the given filename.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isCompressedFilename

          public static boolean isCompressedFilename(java.lang.String filename)

      Detects common gzip suffixes in the given filename.
      Parameters:
        `filename` - name of a file
      Returns:
        `true` if the filename has a common gzip suffix, `false` otherwise

    - #### getUncompressedFilename

          public static java.lang.String getUncompressedFilename(java.lang.String filename)

      Maps the given name of a gzip-compressed file to the name that the file should have after uncompression. Commonly used file type specific suffixes like ".tgz" or ".svgz" are automatically detected and correctly mapped. For example the name "package.tgz" is mapped to "package.tar". And any filenames with the generic ".gz" suffix (or any other generic gzip suffix) is mapped to a name without that suffix. If no gzip suffix is detected, then the filename is returned unmapped.
      Parameters:
        `filename` - name of a file
      Returns:
        name of the corresponding uncompressed file

    - #### getCompressedFilename

          public static java.lang.String getCompressedFilename(java.lang.String filename)

      Maps the given filename to the name that the file should have after compression with gzip. Common file types with custom suffixes for compressed versions are automatically detected and correctly mapped. For example the name "package.tar" is mapped to "package.tgz". If no custom mapping is applicable, then the default ".gz" suffix is appended to the filename.
      Parameters:
        `filename` - name of a file
      Returns:
        name of the corresponding compressed file